Skip to main content
Query edge application images
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Only summary of the records required

imageType
enum<string>
default:IMAGE_TYPE_UNSPECIFIED

Image type to ne matched.

  • IMAGE_TYPE_EVE: Base OS images for edge gateway
  • IMAGE_TYPE_APPLICATION: Edge application images
  • IMAGE_TYPE_EVEPRIVATE: Private Base OS images for edge gateway
  • IMAGE_TYPE_ARTIFACT: Image type to be used for configuration/patch service
  • IMAGE_TYPE_DOCKER_COMPOSE_TAR: Image type to be used for multi-file docker-compose projects
  • IMAGE_TYPE_DOCKER_RUNTIME: Image type to be used for Docker Compose runtime bundles
  • IMAGE_TYPE_ZKS_RUNTIME: Image type to be used for ZKS runtime bundles
Available options:
IMAGE_TYPE_UNSPECIFIED,
IMAGE_TYPE_EVE,
IMAGE_TYPE_APPLICATION,
IMAGE_TYPE_EVEPRIVATE,
IMAGE_TYPE_ARTIFACT,
IMAGE_TYPE_DOCKER_COMPOSE_TAR,
IMAGE_TYPE_DOCKER_RUNTIME,
IMAGE_TYPE_ZKS_RUNTIME
imageStatus
enum<string>
default:IMAGE_STATUS_UNSPECIFIED

Image status to be matched.

  • IMAGE_STATUS_CREATED: Image metadata is created
  • IMAGE_STATUS_UPLOADING: Image binary is being uploaded to Datstore
  • IMAGE_STATUS_READY: Image is ready for download
  • IMAGE_STATUS_INUSE: Image is being used by edge applications
  • IMAGE_STATUS_FAILED: Image binary upload has failed
  • IMAGE_STATUS_UPLINKING: Image metadata is being uplinked with Datstore binary
Available options:
IMAGE_STATUS_UNSPECIFIED,
IMAGE_STATUS_CREATED,
IMAGE_STATUS_PENDING,
IMAGE_STATUS_UPLOADING,
IMAGE_STATUS_READY,
IMAGE_STATUS_INUSE,
IMAGE_STATUS_ARCHIVED,
IMAGE_STATUS_MAX,
IMAGE_STATUS_FAILED,
IMAGE_STATUS_UPLINKING
datastoreId
string

Datastore id to be matched.

imageArch
enum<string>
default:UNSPECIFIED

Image architecture to be matched.

Available options:
UNSPECIFIED,
UNDEFINED,
AMD64,
ARM64
namePattern
string

Image name pattern to be matched.

originType
integer<int32>

origin of image

titlePattern
string

Image title pattern to be matched.

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

Response

A successful response.

terse
Summary is used to store the Summary details · object

Summary of filtered Image records

summaryByImageStatus
Summary is used to store the Summary details · object

Imagestatus distribution summary

summaryByImageArch
Summary is used to store the Summary details · object

Image architecture distribution summary

summaryByImageType
Summary is used to store the Summary details · object

Image type distribution summary

summaryByImageFormat
Summary is used to store the Summary details · object

Image format distribution summary

summaryByOrigin
Summary is used to store the Summary details · object

images by origin summary

list
Image metadata detail · object[]

List of filtered Image records

next
Cursor is used as filter in list operation. · object

Responded page details of filtered records